FROM debian:jessie

RUN apt-get update \
    && DEBIAN_FRONTEND=noninteractive \
    apt-get install -y --no-install-recommends \
    ca-certificates \
    curl \
    libapache2-mod-php5 \
    locales-all \
    mariadb-client \
    nullmailer \
    php-apc \
    php-mail \
    php-mail-mime \
    php-mail-mimedecode \
    php-net-smtp \
    php-net-socket \
    php5-apcu \
    php5-curl \
    php5-gd \
    php5-imagick \
    php5-imap \
    php5-json \
    php5-mcrypt \
    php5-mysql \
    php5-pspell \
    php5-recode \
    psmisc \
    wamerican \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

STOPSIGNAL SIGWINCH

COPY docker/apache-foreground /usr/local/bin/
COPY testca/ /usr/local/etc/testca/
COPY docker/mysql.php /usr/local/etc/application/mysql.php
COPY docker/apache-virtualhost.conf /etc/apache2/sites-available/
COPY docker/cacert.conf /etc/apache2/conf-available/
COPY docker/php5-cacert.ini /etc/php5/mods-available/cacert.ini
COPY docker/feed.rss /usr/local/etc/application/feed.rss

VOLUME /www

RUN a2ensite apache-virtualhost ; \
    a2dissite 000-default ; \
    a2enconf cacert ; \
    a2enmod headers ; \
    a2enmod rewrite ; \
    a2enmod ssl ; \
    ln -s /etc/php5/mods-available/cacert.ini /etc/php5/apache2/conf.d/20-cacert.ini

EXPOSE 80
EXPOSE 443

CMD ["/usr/local/bin/apache-foreground"]
